
Foreman - Feature #17623

Include template model in exported metadata

12/10/2016 03:51 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4098

  

Description

A model of a template is required for re-importing exported templates. We abused kind attribute for detection but e.g. snippets would

be always imported as ProvisioningTemplate. foreman_templates plugin has already support for the model attribute and IIRC rex

uses it too.

Related issues:

Related to Foreman - Feature #17403: Allow exporting of templates Closed 11/19/2016

Associated revisions

Revision f34f70d2 - 12/13/2016 09:44 AM - Marek Hulán

Fixes #17623 - include model in metadata

Revision acdcda07 - 01/30/2017 11:01 AM - Marek Hulán

Fixes #17623 - include model in metadata

(cherry picked from commit f34f70d285d8a7d9a363dd5c7e8f9b9f861ac67f)

History

#1 - 12/10/2016 03:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4098 added

#2 - 12/10/2016 03:52 AM - Marek Hulán

- Related to Feature #17403: Allow exporting of templates added

#3 - 12/13/2016 10:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f34f70d285d8a7d9a363dd5c7e8f9b9f861ac67f.

#4 - 12/13/2016 11:42 AM - Marek Hulán

This would be great to CP into 1.14 branch since the original export was added there. OTOH it's extending the feature.

#5 - 12/14/2016 03:41 AM - Dominic Cleal

- translation missing: en.field_release set to 210
